## python-ptrace 0.3.2

=== tests/Makefile ===
SOURCES=stack_overflow.c div_zero.c call_null.c abort.c fork.c invalid_write.c invalid_read.c
PROGRAMS=$(patsubst %.c,%,$(SOURCES)) pthread
CFLAGS=-Wall -O0 -g

all: $(PROGRAMS)

pthread: pthread.c
	$(CC) -o $@ $(CFLAGS) pthread.c -lpthread

clean:
	rm -f $(PROGRAMS)

## python-ptrace 0.6.3

=== debian/changelog ===
python-ptrace (0.6.3-1) unstable; urgency=low

  * Imported Upstream version 0.6.3
  * Bump Standards Version to 3.9.1
  * Fix build-dep (use python-all instead of python-dev-all)
  * Update licence for debian packaging
  * Switch to dpkg-source 3.0 (quilt) format

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Mar 2011 22:00:45 +0200

python-ptrace (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Dec 2009 21:44:09 +0100

python-ptrace (0.6-2) unstable; urgency=low

  * Set minimum Python version to 2.5 (Closes: #516946)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 24 Feb 2009 18:17:58 +0100

python-ptrace (0.6-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Tue, 24 Feb 2009 14:22:15 +0100

python-ptrace (0.5-1) experimental; urgency=low

  * New upstream release
  * Update watch file

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Sep 2008 16:57:23 +0200

python-ptrace (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Add watch file

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Jul 2008 10:38:22 +0200

python-ptrace (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #491060)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 16 Jul 2008 10:31:47 +0200

=== debian/control ===
Source: python-ptrace
Section: python
Priority: extra
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: cdbs, debhelper (>= 5),
    python-support,
    python-all (>= 2.3.5-11)
Standards-Version: 3.9.1
Homepage: http://fusil.hachoir.org/trac/wiki/Ptrace

Package: python-ptrace
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for ptrace
 This package provides Python bindings for the ptrace library. It allows
 to control, debug, or modify processes using the ptrace syscall.
 .
 Features:
  * High level Python object API
  * Able to control multiple processes: catch fork events
  * Read/write bytes to arbitrary addresses
  * Execution step by step using ptrace_singlestep() or hardware int 3
  * Can use distorm disassembler
  * Dump registers, memory mappings, stack, etc.
  * Syscall tracer and parser (strace command)

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

# Debhelper must be included before python-distutils to use
# dh_python / dh_pycentral / dh_pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# If your package provides eggs, install egg-info directories instead of real eggs
# DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

# Add here any variable or target overrides you need.
install/$(DEB_PYTHON_MODULE_PACKAGE)::
	rm -rf debian/$(DEB_PYTHON_MODULE_PACKAGE)/usr/bin

## python-ptrace 0.6.4

=== debian/changelog ===
python-ptrace (0.6.4-2) unstable; urgency=low

  * Build with python support in dehelper (Closes: #671054)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 May 2012 21:35:58 +0200

python-ptrace (0.6.4-1) unstable; urgency=low

  * Imported Upstream version 0.6.4
    - This version should work on kfreebsd (Closes: #592637)
  * Bump Standards Version to 3.9.3
  * Switch to DH 9
  * Convert debian/rules to dh format
  * Fix bad errno handling in ptrace.binding.func.ptrace (Closes: #592648)
    Thanks to Jakub Wilk for the patch.

 -- Pierre Chifflier <pollux@debian.org>  Sat, 28 Apr 2012 16:49:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: python
 Priority: extra
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: cdbs, debhelper (>= 5),
+Build-Depends: debhelper (>= 9),
     python-support,
     python-all (>= 2.3.5-11)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://fusil.hachoir.org/trac/wiki/Ptrace
 
 Package: python-ptrace

## python-ptrace 0.7

=== cptrace/Makefile ===
CC=gcc
CFLAGS=-fPIC -shared -Wall -Wextra -Wextra $(shell python-config --cflags)
LIBS=$(shell python-config --libs)
LIBRARY=cptrace.so

$(LIBRARY): cptrace.c
	$(CC) -o $@ $< $(CFLAGS) $(LIBS)

clean:
	rm -f $(LIBRARY)

=== debian/changelog ===
python-ptrace (0.7-1) unstable; urgency=medium

  * Imported Upstream version 0.7
  * Remove leftovers from python-support
  * Fix python egginfo
  * Bump Standards Version to 3.9.5

 -- Pierre Chifflier <pollux@debian.org>  Thu, 21 Aug 2014 20:58:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
-    python-support,
     python-all (>= 2.3.5-11)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://fusil.hachoir.org/trac/wiki/Ptrace
 
 Package: python-ptrace

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	dh_auto_install
	# do not install examples as real executables
	rm -rf $(CURDIR)/debian/python-ptrace/usr/bin

%:
	dh $@ --with=python2

## python-ptrace 0.9.3

=== debian/changelog ===
python-ptrace (0.9.3-2.2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:39:07 +0000

python-ptrace (0.9.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938052

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Dec 2019 14:03:21 -0500

python-ptrace (0.9.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/docs: Correct name of README, which is now
    README.rst and remove TODO as upstream no longer ships a
    TODO file.  (Closes: #903189)
  * Set Rules-Requires-Root to no as python-ptrace does not
    require (fake)root for producing the .debs.

 -- Niels Thykier <niels@thykier.net>  Tue, 07 Aug 2018 08:33:18 +0000

python-ptrace (0.9.3-2) unstable; urgency=medium

  * Fix spelling error
  * Add python3 package (Closes: #782949)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Apr 2018 14:41:32 +0200

python-ptrace (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3 (Closes: #814262)
  * Remove patch 10-set_errno_to_0_if_no_error, merged upstream
  * Refreshed quilt patches
  * Update homepage (Closes: #888910)
  * Change priority from extra to optional
  * Bump Standards Version to 4.1.4

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Apr 2018 14:24:08 +0200

=== debian/control ===
Source: python-ptrace
Section: python
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9),
    dh-python,
    python3-dev
Standards-Version: 4.1.4
Homepage: https://github.com/vstinner/python-ptrace
Rules-Requires-Root: no

Package: python3-ptrace
Architecture: all
XB-Python-Version: ${python3:Versions}
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 bindings for ptrace
 This package provides Python bindings for the ptrace library. It allows
 controlling, debugging, or modifying processes using the ptrace syscall.
 .
 Features:
  * High level Python object API
  * Able to control multiple processes: catch fork events
  * Read/write bytes to arbitrary addresses
  * Execution step by step using ptrace_singlestep() or hardware int 3
  * Can use distorm disassembler
  * Dump registers, memory mappings, stack, etc.
  * Syscall tracer and parser (strace command)
 .
 This package provides the ptrace Python module for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=ptrace

override_dh_auto_install:
	dh_auto_install
	# do not install examples as real executables
	rm -rf $(CURDIR)/debian/python3-ptrace/usr/bin

%:
	dh $@ --with=python3 --buildsystem=pybuild

## python-ptrace 0.9.7

=== tests/crash/Makefile ===
CC=gcc
SOURCES=stack_overflow.c div_zero.c call_null.c abort.c fork.c execve.c invalid_write.c invalid_read.c socket_ipv4_tcp.c
PROGRAMS=$(patsubst %.c,%,$(SOURCES)) pthread
CFLAGS=-Wall -Wextra -Werror -O0 -g

all: $(PROGRAMS)

pthread: pthread.c
	$(CC) -o $@ $(CFLAGS) pthread.c -lpthread

clean:
	rm -f $(PROGRAMS)

=== debian/changelog ===
python-ptrace (0.9.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, adding ppc64 support, and merging
    20-fix-egginfo-sources.patch. This will help with #976468; arm64
    support will be included in the next upstream release.
  * Build-depend on python3 instead of python3-dev since this package
    isn’t an extension.
  * Clean up whitespace.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Jan 2021 18:19:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
     dh-python,
-    python3-dev
+    python3
 Standards-Version: 4.1.4
 Homepage: https://github.com/vstinner/python-ptrace
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 
 %:
 	dh $@ --with=python3 --buildsystem=pybuild
-

## python-ptrace 0.9.8

=== debian/changelog ===
python-ptrace (0.9.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Limit the architectures to those which are officially supported.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Aug 2022 14:42:58 +0200

python-ptrace (0.9.8-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release, adding support for arm64.
  * Since this package only works on a limited number of architectures,
    switch to “Architecture: any” and rely on the build-time tests to
    filter the architectures. See the discussion starting with
    <https://lists.debian.org/msgid-search/20210120203941.1a41cc06@heffalump.sk2.org>.
    Closes: #976468.
  * Clean up egg-info changes to allow building twice in a row.
  * Build the CPython extension.

 -- Stephen Kitt <skitt@debian.org>  Thu, 09 Sep 2021 08:42:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper-compat (= 13),
     dh-python,
-    python3
+    python3-all-dev
 Standards-Version: 4.1.4
 Homepage: https://github.com/vstinner/python-ptrace
 Rules-Requires-Root: no
 
 Package: python3-ptrace
-Architecture: all
+Architecture: amd64 arm64 i386 ppc64el powerpc ppc64
 XB-Python-Version: ${python3:Versions}
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python 3 bindings for ptrace
  This package provides Python bindings for the ptrace library. It allows

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,33 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
+
 export PYBUILD_NAME=ptrace
+PYTHON3_VERSIONS = $(shell py3versions -r)
+py3sdo = set -e; $(foreach py, $(PYTHON3_VERSIONS), $(py) $(1);)
+
+override_dh_auto_clean:
+	$(call py3sdo, setup_cptrace.py clean)
+	dh_auto_clean
+
+override_dh_auto_configure:
+	dh_auto_configure
+	$(call py3sdo, setup_cptrace.py config)
+
+override_dh_auto_build:
+	dh_auto_build
+	$(call py3sdo, setup_cptrace.py build)
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(call py3sdo, -m unittest discover -vv tests)
+endif
 
 override_dh_auto_install:
 	dh_auto_install
+	$(call py3sdo, setup_cptrace.py install --root=$(CURDIR)/debian/python3-ptrace --install-layout=deb)
 	# do not install examples as real executables
 	rm -rf $(CURDIR)/debian/python3-ptrace/usr/bin

## python-ptrace 0.9.9

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-ptrace.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-ptrace.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-ptrace"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-ptrace"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-ptrace (0.9.9-0.2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:06:26 +0000

python-ptrace (0.9.9-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-dependes on python3-setuptools (Closes: #1080761)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Mar 2025 14:33:58 +0100

python-ptrace (0.9.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, adding support for riscv64 and merging
    python-3.12.patch.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Mar 2024 19:06:17 +0100

python-ptrace (0.9.8-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with importlib instead of imp. Closes: #1055551.

 -- Stephen Kitt <skitt@debian.org>  Wed, 06 Dec 2023 07:21:34 +0100

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://pypi.python.org/packages/source/p/python-ptrace/python-ptrace-(.*).tar.gz
